Checks if the given key or index exists in the array

- « array_is_list

- array_key_first »

- PHP Manual
- Array Functions
- Checks if the given key or index exists in the array

# array_key_exists

(PHP 4 >= 4.0.7, PHP 5, PHP 7, PHP 8)

array_key_exists — Checks if the given key or index exists in the array

### Description

array_key_exists(string|int|float|bool|resource|null `$key`, array `$array`): bool

array_key_exists() returns `true` if the given `key` is set in the array. `key` can be any value possible for an array index.

### Parameters

`key`

  Value to check.

`array`

  An array with keys to check.

### Return Values

Returns `true` on success or `false` on failure.

> Note:

> array_key_exists() will search for the keys in the first dimension only. Nested keys in multidimensional arrays will not be found.

### Changelog

Version | Description
--- | ---
8.0.0 | The `key` parameter now accepts `bool`, `float`, `int`, `null`, `resource`, and `string` as arguments.

### Examples

Example #1 array_key_exists() example

    <?php
    $search_array = array('first' => 1, 'second' => 4);
    if (array_key_exists('first', $search_array)) {
        echo "The 'first' element is in the array";
    }
    ?>

Example #2 array_key_exists() vs isset()

isset() does not return `true` for array keys that correspond to a `null` value, while array_key_exists() does.

    <?php
    $search_array = array('first' => null, 'second' => 4);

    // returns false
    isset($search_array['first']);

    // returns true
    array_key_exists('first', $search_array);
    ?>

### Notes

> Note:

> For backward compatibility reasons, array_key_exists() will also return `true` if `key` is a property defined within an object given as `array`. This behaviour is deprecated as of PHP 7.4.0, and removed as of PHP 8.0.0.

> To check whether a property exists in an object, property_exists() should be used.

### See Also

- isset() - Determine if a variable is declared and is different than null
- array_keys() - Return all the keys or a subset of the keys of an array
- in_array() - Checks if a value exists in an array
- property_exists() - Checks if the object or class has a property